org.eclipse.wst.jsdt.chromium.debug.core.model

## Class BreakpointInTargetMap<SDK,UI>

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.BreakpointInTargetMap<SDK,UI>

    public class BreakpointInTargetMap<SDK,UI>
    extends java.lang.Object

A one-to-one map between SDK and UI breakpoints inside one debug target.

### Constructor Summary

Constructors
Constructor and Description
`BreakpointInTargetMap()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(SDK sdkBreakpoint, UI uiBreakpoint)`
`void` `clear()`
`SDK` `getSdkBreakpoint(UI uiBreakpoint)`
`UI` `getUiBreakpoint(SDK sdkBreakpoint)`
`void` `remove(UI uiBreakpoint)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BreakpointInTargetMap

    public BreakpointInTargetMap()

### Method Detail

#### getSdkBreakpoint

    public SDK getSdkBreakpoint(UI uiBreakpoint)

#### getUiBreakpoint

    public UI getUiBreakpoint(SDK sdkBreakpoint)

#### add

    public void add(SDK sdkBreakpoint,
                    UI uiBreakpoint)

#### remove

    public void remove(UI uiBreakpoint)

#### clear

    public void clear()